<?php

namespace App\Http\Controllers;

use App\Models\Setting;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class SettingsController extends Controller
{
    /**
     * Update Settings
    */
    public function update(Request $request) 
    {
        try{
            $settings_id=$request->settings_id;
            $validator = Validator::make($request->all(), [
                'settings_id' => 'required|exists:settings,id',
                'speed'=>'required|numeric|max:1000',
                'spin_time'=>'required|numeric|max:1000'
            ]);
    
            if ($validator->fails()){
                $errors = $validator->errors();
                return $this->returnErrorResponse($errors->first());
            }

            $setting=Setting::find($settings_id);
            $setting->speed=$request->speed;
            $setting->spin_time=$request->spin_time;
            $setting->save();

            if($setting){
                return $this->returnResponse('Settings updated successfully');
            }

            return $this->returnErrorResponse();

        }catch(\Exception $e){
            // return $this->returnErrorResponse($e->getMessage());
            return $this->returnErrorResponse();
        }
    }

    // Show settings
    public function show(Request $request) 
    {
        try{
            // $validator = Validator::make($request->all(), [
            //     'settings_id'  => 'required',
            // ]);
    
            // if ($validator->fails()){
            //     $errors = $validator->errors();
            //     return $this->returnErrorResponse($errors->first());
            // }

            // $setting=Setting::find($request->settings_id);

            $setting=Setting::first();

            if($setting){
                return $this->returnResponse('Settings',$setting);
            }

            return $this->returnErrorResponse();

        }catch(\Exception $e){
            // return $this->returnErrorResponse($e->getMessage());
            return $this->returnErrorResponse();
        }
    }
}
