<?php

namespace App\Http\Controllers;

use App\Models\FormData;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class WebsiteController extends Controller
{
    #Save Form
    public function store(Request $request)
    {   
         //dd($request->all());
        $validator = Validator::make($request->all(), [
            'name' => 'required|min:1',
            'phone' => 'required|min:8|max:13',
            'q_id' => 'required|min:11|max:11',
            // 'imei_number' => 'required|min:14|max:17|unique:form_data',
            'invoiceno' => 'required|min:1',
            'email' => 'required|min:1',
        ],[
            'name.required' => 'Name is Required',
            'name.min' => 'Enter a valid name',
            'phone.required' => 'Phone Number is Required',
            'phone.min' => 'Enter a valid phone number',
            'phone.max' => 'Enter a valid phone number',
            'q_id.required' => 'Q-ID is Required',
            'q_id.min' => 'Enter a valid Q-ID',
            'q_id.max' => 'Enter a valid Q-ID',
            // 'imei_number.required' => 'IMEI Number is Required',
            // 'imei_number.min' => 'Enter a valid IMEI Number',
            // 'imei_number.max' => 'Enter a valid IMEI Number',
            'email.required' => 'Email is requred',
            // 'imei_number.unique' => 'IMEI Number already exists',
            'invoice.required' => 'Invoice is requred',
        ]);
    
        if ($validator->fails()) {
            return back()->withInput()->withErrors($validator);
        }
        //dd($request);
        try{
           
            $unique_id= "S".floor(time()-999999999);
            $form_data = new FormData();
            $form_data->unique_id = $unique_id;
            $form_data->name = $request->name;
            $form_data->phone = trim($request->phone);
            $form_data->email = $request->email;
            $form_data->q_id = $request->q_id;
            // $form_data->imei_number = trim($request->imei_number);
            $form_data->invoiceno =$request->invoiceno;

            if($form_data->save()){
                return redirect()->back()->with('success','Successfully submitted..Will contact you soon!');
            }
            return redirect()->back()->with('error','Something went wrong....please try again');
           
        }catch(\Exception $e){
            // dd($e->getMessage());
            return redirect()->back()->with('error','Something went wrong please try again');

        }
    }
}
