<?php

namespace App\Imports;

use App\Models\SamsungData;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithHeadingRow;
use Maatwebsite\Excel\Concerns\WithValidation;
use Maatwebsite\Excel\Concerns\SkipsEmptyRows;
use Maatwebsite\Excel\Concerns\Importable;
use Illuminate\Support\Collection;
use Illuminate\Support\Facades\Validator;
use Maatwebsite\Excel\Concerns\ToCollection;
use Carbon\Carbon;

class SamsungDataImport implements ToCollection,SkipsEmptyRows,WithHeadingRow,WithValidation
{

    use Importable;
    public $status="error";
    public $success=0;
    public $error=0;
    public $message=[];

    public function rules(): array
    {
        return [
            // '*.unique_id' => 'required',
            '*.customer_name' => 'required',
            '*.mobile_number' => 'required',
            '*.email' => 'required',
            '*.order_id' => 'required',
            '*.order_time' => 'required',
        ];
    }

    // /**
    // * @param array $row
    // *
    // * @return \Illuminate\Database\Eloquent\Model|null
    // */
    // public function model(array $row)
    // {
    //     // dd($row);
    //     return new SamsungData([
    //         'unique_id'     => $row['unique_id'],
    //         'name'          => $row['name'],
    //         'phone'         => $row['phone'],
    //         'q_id'          => $row['q_id'],
    //         'imei_number'   => $row['imei_number'],
    //         'created_at'    => now(),
    //     ]);
    // }

    public function collection(Collection $rows)
    {
        //  $validator = Validator::make($rows->toArray(), [
        //     'unique_id' => 'required',
        //     'name' => 'required',
        //     'phone' => 'required',
        //     'q_id' => 'required',
        //     'imei_number' => 'required',
        //  ]);

        //  if ($validator->fails()){
        //     $this->status="error";
        //     $this->message= $validator->errors()->first();
        //     return "hello";
        // }
       $i=0;
        foreach ($rows as $row) {

            try{
               $order_time=Carbon::createFromTimestamp(($row['order_time'] - 25569) * 86400);
                SamsungData::updateOrCreate([
                    'unique_id'     =>  "S".floor(time()-999999999+$i),
                    'name'          => trim($row['customer_name']),
                    'phone'         => trim($row['mobile_number']),
                    'email'         => trim($row['email']),
                    'order_id'          => trim($row['order_id']),
                    'order_time'          =>$order_time->toDateTimeString(),
                    'created_at'    => now(),

                ]);
                $this->success++;
                $i++;
            }catch(\Exception $e){
                $this->error++;
                //dd($e->getMessage());

            }

        }

        $this->status="success";

    }

}
