<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="icon" type="image/x-icon" href="{{ asset('images/favicon.png') }}">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@500&display=swap" rel="stylesheet">


    <title>Jumbo Electronics Qatar Rewards</title>

    <link href="{{ asset('website/css/style.css') }}" rel="stylesheet">
    <link rel="stylesheet" href="{{asset('website/css/sweetalert2.min.css')}}">
</head>

<body>
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-12 col-md-12 col-12">
                <div class="banner-img-desc">
                    <img src="{{ asset('website/images/desk-banner.jpg')}}" class="img-fluid" width="100%">
                </div>
                <div class="banner-img-mob">
                    <img src="{{ asset('website/images/mob-banner.jpg')}}" class="img-fluid" width="100%">
                </div>
            </div>
            <div class="col-lg-12 col-md-12 col-12 text-center">
                <div class="icon bounce-top ">
                    <a href="#form"><i class="fa fa-arrow-down" aria-hidden="true"></i></a>
                </div>
            </div>
        </div>
    </div>
    <section class="sec-pd">
        <div class="container">
            <div class="row">
                <div class="col-lg-3"></div>
                <div class="col-lg-6 col-md-12 col-12">
                    <div>
                        <form id="form" action="{{ route('form.submit') }}" method="POST">
                            @csrf
                            <div class="mb-3">
                                <h3 class="mb-4">Please fill this form<span><i class="fa fa-pencil-square-o"
                                            aria-hidden="true"></i>
                                    </span></h3>
                                <label for="name" class="form-label">Name</label>
                                <input type="text" name="name" id="name" class="form-control"
                                    placeholder="Enter Your Name" value="{{ old('name') }}" required>
                                @if ($errors->has('name'))
                                <span class="text-danger">{{ $errors->first('name') }}</span>
                                @endif
                            </div>
                            <div class="mb-3">
                                <label for="phone" class="form-label">Phone</label>
                                <input type="number" name="phone" id="phone" class="form-control"
                                    placeholder="Enter Your Phone Number" value="{{ old('phone') }}" required>
                                @if ($errors->has('phone'))
                                <span class="text-danger">{{ $errors->first('phone') }}</span>
                                @endif
                            </div>
                            <div class="mb-3">
                                <label for="q_id" class="form-label">Q-ID</label>
                                <input type="number" name="q_id" id="q_id" class="form-control"
                                    placeholder="Enter your Q-ID" value="{{ old('q_id') }}" required>
                                @if ($errors->has('q_id'))
                                <span class="text-danger">{{ $errors->first('q_id') }}</span>
                                @endif
                            </div>
                            <div class="mb-3">
                                <label for="imei_number" class="form-label">IMEI</label>
                                <input type="number" name="imei_number" id="imei_number" class="form-control"
                                    placeholder="Enter IMEI number" value="{{ old('imei_number') }}" required>
                                @if ($errors->has('imei_number'))
                                <span class="text-danger">{{ $errors->first('imei_number') }}</span>
                                @endif
                            </div>

                            <button type="submit" class="btn">Submit</button>

                            {{-- @if ($errors->any())
                            <div class="alert alert-danger mt-2">
                                <ul>
                                    @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                            @endforeach
                            </ul>
                    </div>
                    @endif --}}
                    </form>
                </div>
            </div>
            <div class="col-lg-3"></div>
        </div>
        </div>
    </section>

    <footer>
        <p class="footer">
            Copyright &copy; 2023 Jumbo Electronics Qatar. All Rights Reserved. Developed by <a href="https://gingertechnologies.qa/" target="_blank"> Ginger Technologies</a>
        </p>
    </footer>

    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous">
    </script>

    <!-- Option 2: Separate Popper and Bootstrap JS -->
    <!--
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
    -->

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.0/jquery.validate.js"></script>
    <script src="{{ asset('website/js/sweetalert2.min.js') }}"></script>

    <script type="text/javascript">
        var s_message = "{{session('success')}}";
        var e_message = "{{session('error')}}";
        var errors = "{{session('errors')}}";

        $(document).ready(function () {
            if (s_message)
                Swal.fire({
                    text: s_message,
                    type: 'success',
                    confirmButtonText: 'Ok',
                    confirmButtonColor: "rgb(174,46,184)"

                });
            if (e_message)
                Swal.fire({
                    text: e_message,
                    type: 'error',
                    confirmButtonText: 'Ok',
                    confirmButtonColor: "rgb(174,46,184)"

                });
            if (errors) {
                var input = document.getElementById("name").focus();
            }

            $("#name").keyup(function () {
                $("#name").val($("#name").val().substr(0, 50));
            });
            $("#phone").keyup(function () {
                $("#phone").val($("#phone").val().substr(0, 13));
            });
            $("#q_id").keyup(function () {
                $("#q_id").val($("#q_id").val().substr(0, 11));
            });
            $("#imei_number").keyup(function () {
                $("#imei_number").val($("#imei_number").val().substr(0, 17));
            });
        });


    </script>
</body>

</html>
