<!doctype html>
<html lang="en">
<head>
	<meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="theme-color" content="#c60751">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-status-bar-style" content ="black or black-translucent">
	<meta name="msapplication-navbutton-color" content="#c60751">
    <meta name="description" content="">
    <meta name="keywords" content="">
    <meta name="author" content="">
    <link rel="shortcut icon" href="{{ asset('website/images/favicon.webp') }}" type="image/x-icon">
	<meta name="googlebot" CONTENT="NOINDEX, NOFOLLOW">
    <meta name="Yahoobot" CONTENT="NOINDEX, NOFOLLOW">
    <meta name="MSNbot" CONTENT="NOINDEX, NOFOLLOW">
	<meta name="robots" CONTENT="NOINDEX, NOFOLLOW">
	<title>Jumbo Electronics</title>
    <link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap" rel="stylesheet">
	<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" rel="stylesheet">
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
</head>
<style>
	body {
		font-family: "Inter", sans-serif;
	  	font-optical-sizing: auto;
	  	font-weight: normal;
	  	font-style: normal;
	  	font-variation-settings: "slnt" 0;
		margin: 0px!important;
		background-color: #f7f7f7;
	}
	.trs {
		-webkit-transition: all .3s ease-in-out;
		-moz-transition: all .3s ease-in-out;
		-ms-transition: all .3s ease-in-out;
		-o-transition: all .3s ease-in-out;
		transition: all .3s ease-in-out;
	}
	.logo {
		width: 250px;
	}
	.form_box {
		background: #fff;
		color: #000;
		padding: 50px;
		box-shadow: 0px 4px 7.36px 0.64px rgba(0,0,0,0.24), 0px 1px 7.68px 0.32px rgba(0,0,0,0.16);
	}
	.bg-color {
		background-color: #c60751;
		height: 400px;
	}
	.send_btn {
		font-weight: bold;
		font-size: 13px;
		padding: 12px 40px;
		background-color: #1c3f95;
		color: #fff;
		border-radius: 10px;
		border: 1px solid #1c3f95;
		text-transform: uppercase;
	}
	.send_btn:hover {
		background-color: transparent;
		color: #1c3f95;
	}
</style>
<body>
	<section class="w-100 float-start">
		<div class="container-fluid">
			<div class="row">
				<div class="col-lg-12 col-md-12 col-12 bg-color">
					<div class="row">
						<div class="offset-lg-3 col-lg-6 col-md-12 col-12 text-center">
							<div class="form_box h-100 align-content-center">
								<img src="{{ asset('website/images/logo.webp') }}" class="img-fluid logo mb-5" alt="logo">
								<form class="w-100 float-start" role="form" method="POST" action="{{ route('form.submit') }}">
								    @csrf
									<div class="row gy-4">
										<div class="col-12">
											<div class="form-floating">
												<input class="form-control" id="name" name="name" type="text"  placeholder="Customer Name">
												@error('name')
        <span class="text-danger">{{ $message }}</span>
    @enderror
												<label for="customer_name">Customer Name</label>
											</div>
										</div>
										<div class="col-12">
											<div class="form-floating">
												<input class="form-control" id="phone" name="phone" type="phone" placeholder="Mobile Number">
												 @error('phone')
        <span class="text-danger">{{ $message }}</span>
    @enderror
												<label for="mobile_number">Mobile Number</label>
											</div>
										</div>
										<div class="col-12">
											<div class="form-floating">
												<input class="form-control" id="q_id" name="q_id" type="text" placeholder="Q-ID">
												 @error('q_id')
        <span class="text-danger">{{ $message }}</span>
    @enderror
												<label for="qid">Q-ID</label>
											</div>
										</div>
										<div class="col-12">
											<div class="form-floating">
												<input class="form-control" id="email" name="email" type="email" placeholder="Email">
												  @error('email')
        <span class="text-danger">{{ $message }}</span>
    @enderror
												<label for="email">Email</label>
											</div>
										</div>
										<div class="col-12">
											<div class="form-floating">
												<input class="form-control" id="invoiceno" name="invoiceno" type="text" placeholder="Invoice No.">
												  @error('invoiceno')
        <span class="text-danger">{{ $message }}</span>
    @enderror
												<label for="invoiceno">Invoice No.</label>
											</div>
										</div>
									</div>
									<div class="w-100 text-center my-5">
										<button class="send_btn w-100 float-left trs mt-2" type="submit">Register</button>
								@if (session('success'))
    <div class="alert alert-success mt-3" id="successMessage">
        {{ session('success') }}
    </div>
@endif

@if (session('error'))
    <div class="alert alert-danger mt-3" id="errorMessage">
        {{ session('error') }}
    </div>
@endif



									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
        	</div>
        </div>
	</section>
</body>
<script>
    // Hide the success and error messages after 5 seconds
    setTimeout(function() {
        let successAlert = document.getElementById('successMessage');
        let errorAlert = document.getElementById('errorMessage');
        
        if (successAlert) {
            successAlert.style.transition = "opacity 0.5s";
            successAlert.style.opacity = "0";
            setTimeout(() => successAlert.style.display = "none", 500);
        }

        if (errorAlert) {
            errorAlert.style.transition = "opacity 0.5s";
            errorAlert.style.opacity = "0";
            setTimeout(() => errorAlert.style.display = "none", 500);
        }
    }, 5000); // 5000ms = 5 seconds
</script>
</html>