<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="icon" type="image/x-icon" href="<?php echo e(asset('images/favicon.png')); ?>">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@500&display=swap" rel="stylesheet">

    <title>Jumbo Electronics Qatar</title>

    <link href="<?php echo e(asset('website/css/style.css')); ?>" rel="stylesheet">
    <style>
        .form-control input {
            margin-bottom: 0.5rem;
            color: #838384;
            background-color: #fff;
            background-clip: padding-box;
            border: 1px solid #ececec;
            padding: 12px 14px;
            border-radius: 10px;
        }

        .form-control:focus {
            border-color: #0F61A5;
            box-shadow: 0 0 0 0.1rem #57a0dc;
        }

        .btn {
            width: 100%;
            background: #0F61A5;
            background: linear-gradient(20deg, #1e629a 50%, #0F61A1 100%);
            color: #fff;
        }

        .btn:hover {
            background: #fff;
            border: 2px solid #0F61A5;
            color: #0F61A5;
        }

    </style>
</head>

<body>
    <section class="sec-pd">
        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-md-4"></div>
                <div class="col-lg-4 col-md-4 col-12">
                    <div>
                        <form action="<?php echo e(route('login.post')); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                            <div class="mb-3">
                                <div class="mb-4 text-center"><img src="<?php echo e(asset('images/logo.png')); ?>" style="width:250px"></div>
                                <h3 class="mb-4 text-center">Login</h3>
                                <label for="name" class="form-label">Email</label>
                                <input type="text" id="email_address" class="form-control" name="email"
                                    placeholder="Email" value="<?php echo e(old('name')); ?>" required autofocus>
                                <?php if($errors->has('email')): ?>
                                <span class="text-danger"><?php echo e($errors->first('email')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="mb-3 form-group">
                                <label for="password" class="form-label">Password</label>
                                <div class="input-group">
                                    <input type="password" id="password" class="form-control" name="password"
                                        placeholder="Password" required>
                                    <div class="input-group-addon">
                                        <i class="fa fa-eye togglePassword" id="togglePassword" ></i>
                                    </div>
                                </div>


                                <?php if($errors->has('password')): ?>
                                <span class="text-danger"><?php echo e($errors->first('password')); ?></span>
                                <?php endif; ?>
                            </div>

                            <button type="submit" class="btn">Submit</button>

                            <?php if($errors->any()): ?>
                            <div class="alert alert-danger mt-2">
                                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <p><?php echo e($error); ?></p>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                            <?php endif; ?>
                        </form>
                    </div>
                </div>
                <div class="col-lg-4 col-md-4"></div>
            </div>
        </div>
    </section>

    <footer>
        <p class="footer">
            Copyright &copy; 2023 Jumbo Electronics Qatar. All Rights Reserved. Developed by <a href="https://gingertechnologies.qa/" target="_blank"> Ginger Technologies</a>
        </p>
    </footer>


    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous">
    </script>

    <!-- Option 2: Separate Popper and Bootstrap JS -->
    <!--
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
    -->

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.0/jquery.validate.js"></script>

    <script>
        // Password eye----------
        const togglePassword = document.querySelector('#togglePassword');
        const password = document.querySelector('#password');

        togglePassword.addEventListener('click', function (e) {
            // toggle the type attribute
            const type = password.getAttribute('type') === 'password' ? 'text' : 'password';
            password.setAttribute('type', type);
            // toggle the eye slash icon
            this.classList.toggle('fa-eye-slash');
        });

    </script>

</body>


</html>
<?php /**PATH /home/staging/public_html/jumboqatar-draw/resources/views/auth/login.blade.php ENDPATH**/ ?>