

<?php $__env->startSection('content'); ?>

<div class="card-header"><span><a href="<?php echo e(route('dashboard')); ?>"><?php echo e(__('Dashboard')); ?></a></span> >
    <span><?php echo e(__('Raffle Draw')); ?></span></div>
<div class="card-body dashboard-card">
    <div class="row">
        <div class="col-md-8 col-12" style="border-right: 2px solid">
            <div class="row">
                <div class="col-md-4">
                    <a class="btn" href="<?php echo e(route('raffle_draw')); ?>" target="_blank">Raffle Draw</a>
                </div>
                <div class="col-md-2"><button type="button" class="btn" id="settingsBtn" onclick="viewSettings()">Settings</button></div>
                <div class="col-md-4"></div>

                
        </div>

        <!------- Winners table----->
        <div class="row mt-4">
            <h5 class="ml-4"> Winners List</h5>
            <div class="col-12 table-responsive">
                <table class="table table-bordered datatable">
                    <thead>
                        <tr>
                            <th class="text-center" width="3%">Sl.No</th>
                            <th width="35%">Prize</th>
                            <th width="20%">Unique ID</th>
                            <th width="40%">Name</th>
                            <th width="2%">Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $winners; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $winner): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($loop->index+1); ?></td>
                            <td><?php echo e($winner->prize->prize_name); ?></td>
                            <td><?php echo e($winner->user->unique_id); ?></td>
                            <td><?php echo e($winner->user->name); ?></td>
                            <td>
                                <span id="view_winner"
                                    onclick="viewWinnerDetails('<?php echo e($winner->unique_id); ?>')">
                                    <i class="fa fa-eye" aria-hidden="true"></i>
                                </span>
                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
            <button type="button" onclick="resetData()" style="color:#f8f9fa;background-color:#f8f9fa!important;border:1px #f8f9fa"> Reset</button>
            
        </div>
    </div>
    <div class="col-md-4 col-12">
        <!------- Prize table----->
        <div class="row">
            <div class="col-12">
                <div class="row">
                    <div class="col-8">
                        <h5> Prize List</h5>
                    </div>
                    <div class="col-4">
                        <button type="button" class="btn" id="addPrizeBtn">Add</button>
                    </div>
                </div>

            </div>
            <div class="col-12 table-responsive mt-4 scroll-n-height">
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            
                            <th width="5%">Order</th>
                            <th width="50%">Prize Name</th>
                            
                            <th width="10%" class="text-center">Status</th>
                            <th width="5%">Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $prizes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $prize): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            
                            <td class="text-center"><?php echo e($prize->order_no); ?></td>
                            <td><?php echo e($prize->prize_name); ?></td>
                            
                            <td class="text-center">
                                <?php if($prize->status==0): ?>
                                <i class="fa fa-check" aria-hidden="true"></i>
                                <?php else: ?>
                                <i class="fa fa-hourglass-start" aria-hidden="true"></i>
                                <?php endif; ?>
                            </td>
                            <td>
                                <p>
                                <span id="view_prize"
                                    onclick="viewPrizeDetails(<?php echo e($prize->id); ?>)">
                                    <i class="fa fa-eye" aria-hidden="true"></i>
                                </span>
                                <?php if($prize->status==1): ?>
                                <span id="view_prize"
                                    onclick="deletePrizeDetails(<?php echo e($prize->id); ?>)" style="color: rgb(182, 8, 8);">
                                    <i class="fa fa-trash" aria-hidden="true"></i>
                                </span>
                                <?php endif; ?>
                                </p>
                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>

    </div>
</div>
</div>

<!---- Winner View modal --->
<div class="modal" id="viewWinnerModal" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Winner Details</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"></button>
            </div>

            <div class="modal-body">
                <form action="#" name="winnerForm" id="winnerForm">
                    <h5 class="mb-3 text-center" id="winner_prize"> PRIZE </h5>
                    <div class="row form-group">
                        <div class="col-md-3 col-12">
                            <label>Prize</label>
                        </div>
                        <div class="col-md-9 col-12">
                            <input type="text" name="winner_prize_value" id="winner_prize_value" class="form-control" value=""
                                readonly />
                        </div>
                    </div>
                    
                    <div class="row form-group">
                        <div class="col-md-3 col-12">
                            <label>Unique ID</label>
                        </div>
                        <div class="col-md-9 col-12">
                            <input type="text" name="winner_unique_id" id="winner_unique_id" class="form-control"
                                value="" readonly />
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-md-3 col-12">
                            <label>Name</label>
                        </div>
                        <div class="col-md-9 col-12">
                            <input type="text" name="winner_name" id="winner_name" class="form-control" value=""
                                readonly />
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-md-3 col-12">
                            <label>Phone</label>
                        </div>
                        <div class="col-md-9 col-12">
                            <input type="text" name="winner_phone" id="winner_phone" class="form-control" value=""
                                readonly />
                        </div>
                    </div>
                  <div class="row form-group">
                        <div class="col-md-3 col-12">
                            <label>Email</label>
                        </div>
                        <div class="col-md-9 col-12">
                            <input type="text" name="email" id="email" class="form-control" value=""
                                readonly />
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-md-3 col-12">
                            <label>Order ID</label>
                        </div>
                        <div class="col-md-9 col-12">
                            <input type="text" name="order_id" id="order_id" class="form-control"
                                value="" readonly />
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-md-3 col-12">
                            <label>Order Time</label>
                        </div>
                        <div class="col-md-9 col-12">
                            <input type="text" name="order_time" id="order_time" class="form-control"
                                value="" readonly />
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>


<!---- Prize View modal --->
<div class="modal" id="viewPrizeModal" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Prize Details</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"></button>
            </div>

            <div class="modal-body">
                <form action="#" id="prizeForm" class="form-horizontal" method="post">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" name="prize_id" id="prize_id" value="">
                    <div class="row form-group">
                        <div class="col-md-3 col-12">
                            <label>Prize Name</label>
                        </div>
                        <div class="col-md-9 col-12">
                            <input type="text" name="prize_name" id="prize_name" class="form-control" value="" required />
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-md-3 col-12">
                            <label>Prize</label>
                        </div>
                        <div class="col-md-9 col-12">
                            <input type="text" name="prize_value" id="prize_value" class="form-control" value="" required />
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-md-3 col-12">
                            <label>Prize Order</label>
                        </div>
                        <div class="col-md-9 col-12">
                            <input type="number" name="order_no" id="order_no" class="form-control" value="" required />
                        </div>
                    </div>
                </form>
                <div class="alert alert-danger mt-2 error_save_prize" style="display: none;"></div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" id="savePrizeBtn">Save</button>

            </div>
        </div>
    </div>
</div>

<!---- Settings modal --->
<div class="modal" id="viewSettingsModal" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Settings</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"></button>
            </div>

            <div class="modal-body">
                <form action="#" id="settingsForm" class="form-horizontal" method="post">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" name="settings_id" id="settings_id" value="">
                    
                    <input type="hidden" name="spin_time" id="spin_time" class="form-control" value="40" max="100" required/>
                    <div class="row form-group">
                        <div class="col-md-3 col-12">
                            <label>Interval time</label>
                        </div>
                        <div class="col-md-9 col-12">
                            <!--<input type="number" name="speed" id="speed" class="form-control" value="5" max="10" required/>-->
                            <div class="input-group">
                               <input type="number" name="speed" id="speed" class="form-control" value="5" max="10" required/>
                               <div class="input-group-append">
                                   <span class="input-group-text"> s </span>
                               </div>
                            </div>
                            <span>Faster when value is less</span>
                        </div>
                    </div>
                </form>
                <div class="alert alert-danger mt-2 error_save_settings" style="display: none;"></div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" id="saveSettingsBtn">Save</button>

            </div>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script type="text/javascript">
    var s_message = "<?php echo e(session('success')); ?>";
    var e_message = "<?php echo e(session('error')); ?>";

    $(function () {

        var from_date = $('#from_date').val();
        var to_date = $('#to_date').val();

        if (s_message)
            Swal.fire({
                text: s_message,
                type: 'success',
                confirmButtonText: 'Ok',
                confirmButtonColor: "rgb(174,46,184)"

            });
        if (e_message)
            Swal.fire({
                text: e_message,
                type: 'error',
                confirmButtonText: 'Ok',
                confirmButtonColor: "rgb(174,46,184)"

            });

            var table = $('.datatable').DataTable();
    });

    // -------------------------Prize---------------------------------
    $("#addPrizeBtn").on("click", function () {
        $('#prizeForm').trigger("reset");
        $(".error_save_prize").hide();
        $("#prize_id").val("");
        $("#savePrizeBtn").show();
        $('#viewPrizeModal').modal('show');
    });

    $("#savePrizeBtn").on("click", function (e) {
        e.preventDefault();
        var url = "";
        if ($("#prize_id").val() == "") {
            url = "<?php echo e(route('prize.store')); ?>";
        } else {
            url = "<?php echo e(route('prize.update')); ?>";
        }
        $.ajax({
            type: "POST",
            url: url,
            data: $('#prizeForm').serialize(),
            success: function (data) {
                console.log(data);
                if (data.status == "success") {
                    $('#prizeForm').trigger("reset");
                    $(".error_save_prize").text("");
                    $(".error_save_prize").hide();
                    $('#viewPrizeModal').modal('hide');
                    Swal.fire({
                        text: data.message,
                        type: 'success',
                        confirmButtonText: 'Ok',
                        confirmButtonColor: "#0F61A5"

                    }).then((result) => {
                        // Reload the Page
                        location.reload();
                    });
                } else {
                    $(".error_save_prize").text(data.message);
                    $(".error_save_prize").show();
                }
            },
            error: function (data) {
                // console.log('Error:', data);
            }
        });
    });

    function viewPrizeDetails(prize_id) {
        $.ajax({
            type: "POST",
            url: "<?php echo e(route('prize.show')); ?>",
            data: {
                prize_id: prize_id,
            },
            success: function (data) {
                console.log(data);
                if (data.status == "success") {
                    $('#prizeForm').trigger("reset");
                    $(".error_save_prize").text("");
                    $(".error_save_prize").hide();
                    $("#prize_id").val(data.data.id);
                    $("#prize_name").val(data.data.prize_name);
                    $("#prize_value").val(data.data.prize_value);
                    $("#order_no").val(data.data.order_no);
                    if(data.data.status==1){
                        $("#savePrizeBtn").show();
                    }else{
                        $("#savePrizeBtn").hide();
                    }
                    $('#viewPrizeModal').modal('show');

                }
            },
            error: function (data) {
                // console.log('Error:', data);
            }
        });
    }

    function deletePrizeDetails(prize_id) {
        Swal.fire({
            title: "Are you sure?",
            text: "You will not be able to recover this!",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#0F61A5",
            confirmButtonText: "Yes, delete it!",
        }).then((result) => {
                     
            if (result.isConfirmed)
                {
                $.ajax({
                    url: "<?php echo e(route('prize.delete')); ?>",
                    type: "POST",
                    data: {
                        prize_id: prize_id,
                    },
                    success: function (data) {
                        if (data.status == "success") {
                            Swal.fire({
                            text: data.message,
                            type: 'success',
                            confirmButtonText: 'Ok',
                            confirmButtonColor: "#0F61A5"

                        }).then((result) => {
                            // Reload the Page
                            location.reload();
                        });
                        }
                    },
                    error: function (xhr, ajaxOptions, thrownError) {
                    }
                });
            }
        });
    }

    // ---------------------------Winner-------------------------------------
    function viewWinnerDetails(unique_id) {
        $.ajax({
            type: "POST",
            url: "<?php echo e(route('winner.show')); ?>",
            data: {
                unique_id: unique_id,
            },
            success: function (data) {
                console.log(data);
                if (data.status == "success") {
                    var winner = data.data.winner;
                    var prize = data.data.prize;
                    $('#winnerForm').trigger("reset");
                    $("#winner_prize").text(prize.prize_name);
                    $("#winner_prize_value").val(prize.prize_value);
                    $("#winner_unique_id").val(winner.unique_id);
                    $("#winner_name").val(winner.name);
                    $("#winner_phone").val(winner.phone);
                    $("#email").val(winner.email);
                    $("#order_id").val(winner.order_id);
                    $("#order_time").val(winner.order_time);
                    $('#viewWinnerModal').modal('show');

                }
            },
            error: function (data) {
                // console.log('Error:', data);
            }
        });
    }

    // ----------------------------Settings --------------------------
    function viewSettings() {
        $.ajax({
            type: "POST",
            url: "<?php echo e(route('settings.show')); ?>",
            // data: {
            //     settings_id: settings_id,
            // },
            success: function (data) {
                console.log(data);
                if (data.status == "success") {
                    $("#settings_id").val(data.data.id);
                    $("#speed").val(data.data.speed);
                    $("#spin_time").val(data.data.spin_time);
                    $('#viewSettingsModal').modal('show');
                }
            },
            error: function (data) {
                // console.log('Error:', data);
            }
        });
    }

    // Settings update
    $("#saveSettingsBtn").on("click", function (e) {
        e.preventDefault();
        
        $.ajax({
            type: "POST",
            url: "<?php echo e(route('settings.update')); ?>",
            data: $('#settingsForm').serialize(),
            success: function (data) {
                console.log(data);
                if (data.status == "success") {
                    $('#settingsForm').trigger("reset");
                    $(".error_save_settings").text("");
                    $(".error_save_settings").hide();
                    $('#viewSettingsModal').modal('hide');
                    Swal.fire({
                        text: data.message,
                        type: 'success',
                        confirmButtonText: 'Ok',
                        confirmButtonColor: "#0F61A5"

                    }).then((result) => {
                        // Reload the Page
                        location.reload();
                    });
                } else {
                    $(".error_save_settings").text(data.message);
                    $(".error_save_settings").show();
                }
            },
            error: function (data) {
                // console.log('Error:', data);
            }
        });
    });

    
    // Reset winners table
    function resetData() {
        Swal.fire({
            title: "Are you sure?",
            text: "You will not be able to recover this!",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#0F61A5",
            confirmButtonText: "Yes, delete it!",
        }).then((result) => {
                     
            if (result.isConfirmed)
                {
                $.ajax({
                    url: "<?php echo e(route('reset.raffledraw')); ?>",
                    type: "GET",
                    success: function (data) {
                        if (data.status == "success") {
                            Swal.fire({
                            text: data.message,
                            type: 'success',
                            confirmButtonText: 'Ok',
                            confirmButtonColor: "#0F61A5"

                        }).then((result) => {
                            // Reload the Page
                            location.reload();
                        });
                        }
                    },
                    error: function (xhr, ajaxOptions, thrownError) {
                    }
                });
            }
        });
    }
    
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\ginger_tech\jumboqatar\resources\views/raffle_draw/index.blade.php ENDPATH**/ ?>